#pragma once

#include <GL/glew.h>

#include "Buffer.hpp"

/// OpenGL VertexBuffer
class VertexBuffer: public Buffer {
public:
    VertexBuffer(GLenum shape, const unsigned long count, const unsigned long size, const void *data);

    uint draw(params) override;

private:
    unsigned long ElementCount;
};
